#	$id$
#	(c) Wolfgang Grosser

proc csvSplit {sepChar line} {
	return [::csv::split $line $sepChar]
}
lappend auto_path .
package require tcluno_type_info
package require tcluno_scalc
package require csv
package require cmdline

set desktop [tcluno_soffice::initDesktop]

set argv [list -i scalc.csv -t Tabelle1 -o csv_import.xls]
set options [list \
		[list i.arg "" "inputFile"] \
		[list o.arg "" "outputfile"] \
		[list t.arg "" "tabname"] \
	]
set usage ": MyCommandName \[options] filename ...\noptions:"
array set params [::cmdline::getoptions argv $options $usage]
if {[string length $params(i)] == 0 || [string length $params(t)] == 0} {
	puts stderr "$usage $options"
	exit 1
}
set insertTabName $params(t)
set inputFile $params(i)
set doc [::tcluno_soffice::scalc::openFile $desktop]
::tcluno_soffice::scalc::importFile $inputFile $doc $insertTabName [list csvSplit "\t"]
set tabNames [::tcluno_soffice::scalc::getSheetNames $doc]
foreach tabName $tabNames {
	if {[string equal $tabName $insertTabName]} continue
	::tcluno_soffice::scalc::deleteSheet $doc $tabName
}

set dateFormat [tcluno_type_info::getConstantsClassValue com.sun.star.i18n.NumberFormatIndex DATE_MMMM]
::tcluno_soffice::scalc::formatCells $doc $insertTabName [list 0 0 0 10] NumberFormat $dateFormat

set bold [tcluno_type_info::getConstantsClassValue com.sun.star.awt.FontWeight BOLD]
::tcluno_soffice::scalc::formatCells $doc $insertTabName [list 0 0 2 0] CharWeight $bold

set singleUnderline [tcluno_type_info::getConstantsClassValue com.sun.star.awt.FontUnderline SINGLE]
::tcluno_soffice::scalc::formatCells $doc $insertTabName [list 0 0 2 0] CharUnderline $singleUnderline

#::tcluno_soffice::scalc::createChart $doc Graphik [list 0 0 20000 15000] first_chart [list hasRowHeader 1 title "Hallo Wolfgang" type [list BarDiagram [list Dim3D 1 Deep 1]]] $insertTabName [list 0 0 2 5]
::tcluno_soffice::scalc::createChart $doc Graphik [list 0 0 20000 15000] first_chart [list hasRowHeader 1 title "Hallo Wolfgang" type BarDiagram ] $insertTabName [list 0 0 2 5]
::tcluno_soffice::scalc::setFreezePane $doc $insertTabName 0 1
::tcluno_soffice::scalc::setActiveSheet $doc Graphik
if {[string length $params(o)] > 0} {
	::tcluno_soffice::scalc::saveFile $desktop $params(o) $doc
}
#$doc close 0
